GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Location Class Reference

## Public Member Functions
String | getCountryCode ()
void | setCountryCode (String value)
String | getZIPCode ()
void | setZIPCode (String value)

## Protected Attributes
String | countryCode
String | zipCode

## Detailed Description

Location details for source and destination objects

Java class for Location complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="Location">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="CountryCode" type="{http://fpcs.gls-group.eu/v1/Common}CountryCode"/>
            <element name="ZIPCode" type="{http://fpcs.gls-group.eu/v1/Common}ZIPCode"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java.

## Member Function Documentation

## ◆ getCountryCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Location.getCountryCode | ( |  | ) |

Gets the value of the countryCode property.

Returns
  possible object is String

Definition at line 55 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java.

## ◆ getZIPCode()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Location.getZIPCode | ( |  | ) |

Gets the value of the zipCode property.

Returns
  possible object is String

Definition at line 79 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java.

## ◆ setCountryCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Location.setCountryCode | ( | String | value | ) |

Sets the value of the countryCode property.

Parameters

  value | allowed object is String

Definition at line 67 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java.

## ◆ setZIPCode()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Location.setZIPCode | ( | String | value | ) |

Sets the value of the zipCode property.

Parameters

  value | allowed object is String

Definition at line 91 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java.

## Member Data Documentation

## ◆ countryCode

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Location.countryCode
| protected

Definition at line 43 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java.

## ◆ zipCode

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.Location.zipCode
| protected

Definition at line 45 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/Location.java